PLIMAGE(3)

NAME
plimage - Plot a 2D matrix using cmap1 with automatic color adjustment

SYNOPSIS
plimage(idata, nx, ny, xmin, xmax, ymin, ymax, zmin, zmax, Dxmin, Dxmax, Dymin, Dymax)

DESCRIPTION

Plot a 2D matrix using the cmap1 palette. The color scale is automatically adjusted to use the maximum and minimum values in idata as valuemin and valuemax in a call to plimagefr(3).

Redacted form: General: plimage(idata, xmin, xmax, ymin, ymax, zmin, zmax, Dxmin, Dxmax, Dymin, Dymax)

This function is used in example 20.

ARGUMENTS

idata (PLFLT_MATRIX(3), input)
    A matrix containing function values to plot. Should have dimensions of nx by ny.

nx, ny (PLINT(3), input)
    Dimensions of idata

xmin, xmax, ymin, ymax (PLFLT(3), input)
    The x and y index ranges are linearly transformed to these world coordinate ranges such that idata[0][0] corresponds to (xmin, ymin) and idata[nx - 1][ny - 1] corresponds to (xmax, ymax).

zmin, zmax (PLFLT(3), input)
    Only data between zmin and zmax (inclusive) will be plotted.

Dxmin, Dxmax, Dymin, Dymax (PLFLT(3), input)
    Plot only the window of points whose plot coordinates fall inside the window of (Dxmin, Dymin) to (Dxmax, Dymax).

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.